cURL
curl --request GET \
--url https://app.closerx.ai/api/v2/aicallagent-list/ \
--header 'Company-Name: <company-name>' \
--header 'api_key: <api-key>'import requests
url = "https://app.closerx.ai/api/v2/aicallagent-list/"
headers = {
"Company-Name": "<company-name>",
"api_key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Company-Name': '<company-name>', api_key: '<api-key>'}
};
fetch('https://app.closerx.ai/api/v2/aicallagent-list/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_count": 123,
"total_page": 123,
"Current_page_no": 123,
"next_page_number": 123,
"previous_page_number": "<string>",
"page_size": 123,
"data": [
{
"pk": 123,
"agent_name": "<string>",
"agent_id": "<string>",
"voice_id": "<string>",
"language": "<string>",
"interruption_sensitivity": "<string>",
"voicemail": true,
"voicemail_message": "<string>",
"end_call_after_silence": 123,
"max_call_duration": 123,
"reminder_trigger": 123,
"ambient_sound": "<string>",
"analysis_data": [
"<string>"
],
"llm": 123,
"voice_speed": 123,
"voice_temperature": 123,
"volume": 123,
"enable_backchannel": true,
"normalize_for_speech": true,
"enable_transcription_formatting": true,
"reminder_trigger_ms": 123,
"reminder_max_count": 123,
"boosted_keywords": [
"<string>"
],
"ambient_sound_volume": 123,
"voicemail_detection_timeout_ms": 123,
"begin_message_delay_ms": 123,
"updated_at": "2023-11-07T05:31:56Z",
"is_locked": true,
"calendar_id": "<string>",
"inbound_appoitment": true,
"ring_duration_sec": 123,
"stt_mode": "<string>",
"backchannel_words": "<string>",
"backchannel_frequency": 123,
"call_scheduling": true,
"agent_crm_type": "<string>",
"voicemail_option": {
"action": {
"type": "<string>",
"text": "<string>"
}
}
}
]
}{
"success": true,
"message": "<string>",
"data": {}
}Agent
Get Agent List
Retrieves a paginated list of AI call agents with optional search and sorting
GET
/
v2
/
aicallagent-list
/
cURL
Authorizations
Headers
The name of the schema to be used for the request
Query Parameters
Page number for pagination
Search term to filter agents
Field to sort by (prefix with '-' for descending order)
Response
AI call agents list response
Total number of AI call agents
Total number of pages
Current page number
Next page number, null if no next page
Previous page number, null if no previous page
Number of agents per page
List of AI call agents
Show child attributes
Show child attributes
⌘I
